Skip to main content
GET
/
fleet
/
safety-events
/
audit-logs
/
feed
[legacy] Fetches safety activity event feed
curl --request GET \
  --url https://api.samsara.com/fleet/safety-events/audit-logs/feed \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "1622151765-212014918174029-1550954461759",
      "safetyEvent": {
        "behaviorLabels": [
          {
            "name": "Acceleration",
            "type": "Acceleration"
          }
        ],
        "driver": {
          "id": "0987"
        },
        "id": "212014918174029-1550954461759",
        "time": "2019-06-13T19:08:25.455Z",
        "vehicle": {
          "id": "1234"
        }
      },
      "time": "2019-10-12T07:20:50.52Z",
      "type": "CreateSafetyEventActivityType"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

startTime
string

A start time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

Response

OK response.

data
object[]
required

Paginated safety event activity feed limited to 10 events.

pagination
object
required

Pagination parameters.